%define upstream_name Horde_Auth
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.4.8
Release:     	%mkrel 1
Summary:    	Horde Authentication API
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception <= 2.0.0 
Requires:  	php-pear-Horde_Util <= 2.0.0 
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Util = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Auth = %{version}
Obsoletes:	horde-auth

%description
The Horde_Auth package provides a common interface into the various
backends for the Horde authentication system.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s


%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Auth.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Auth.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Auth
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Auth/COPYING
%{peardir}/Horde/Auth.php
%{peardir}/Horde/Auth/Auto.php
%{peardir}/Horde/Auth/Base.php
%{peardir}/Horde/Auth/Composite.php
%{peardir}/Horde/Auth/Customsql.php
%{peardir}/Horde/Auth/Cyrsql.php
%{peardir}/Horde/Auth/Exception.php
%{peardir}/Horde/Auth/Ftp.php
%{peardir}/Horde/Auth/Http.php
%{peardir}/Horde/Auth/Http/Remote.php
%{peardir}/Horde/Auth/Imap.php
%{peardir}/Horde/Auth/Ipbasic.php
%{peardir}/Horde/Auth/Kolab.php
%{peardir}/Horde/Auth/Ldap.php
%{peardir}/Horde/Auth/Login.php
%{peardir}/Horde/Auth/Msad.php
%{peardir}/Horde/Auth/Pam.php
%{peardir}/Horde/Auth/Passwd.php
%{peardir}/Horde/Auth/Peclsasl.php
%{peardir}/Horde/Auth/Radius.php
%{peardir}/Horde/Auth/Shibboleth.php
%{peardir}/Horde/Auth/Smb.php
%{peardir}/Horde/Auth/Smbclient.php
%{peardir}/Horde/Auth/Sql.php
%{peardir}/Horde/Auth/Translation.php
%{peardir}/data/Horde_Auth/migration/1_horde_auth_base_tables.php
%{peardir}/data/Horde_Auth/locale/Horde_Auth.pot
%{peardir}/data/Horde_Auth/locale/de/LC_MESSAGES/Horde_Auth.mo
%{peardir}/data/Horde_Auth/locale/de/LC_MESSAGES/Horde_Auth.po
%{peardir}/data/Horde_Auth/locale/et/LC_MESSAGES/Horde_Auth.mo
%{peardir}/data/Horde_Auth/locale/et/LC_MESSAGES/Horde_Auth.po
%{peardir}/data/Horde_Auth/locale/ja/LC_MESSAGES/Horde_Auth.mo
%{peardir}/data/Horde_Auth/locale/ja/LC_MESSAGES/Horde_Auth.po
%{peardir}/data/Horde_Auth/locale/lv/LC_MESSAGES/Horde_Auth.mo
%{peardir}/data/Horde_Auth/locale/lv/LC_MESSAGES/Horde_Auth.po
%{peardir}/data/Horde_Auth/locale/es/LC_MESSAGES/Horde_Auth.mo
%{peardir}/data/Horde_Auth/locale/es/LC_MESSAGES/Horde_Auth.po
%{peardir}/tests/Horde_Auth/Horde/Auth/AllTests.php
%{peardir}/tests/Horde_Auth/Horde/Auth/Autoload.php
%{peardir}/tests/Horde_Auth/Horde/Auth/TestCase.php
%{peardir}/tests/Horde_Auth/Horde/Auth/Unit/AuthTest.php
%{peardir}/tests/Horde_Auth/Horde/Auth/Unit/KolabTest.php
%{peardir}/tests/Horde_Auth/Horde/Auth/Unit/PasswdTest.php
%{peardir}/tests/Horde_Auth/Horde/Auth/fixtures/test.passwd
%{peardir}/tests/Horde_Auth/Horde/Auth/phpunit.xml
%{peardir}/tests/Horde_Auth/Horde/Auth/Unit/Sql/Base.php
%{peardir}/tests/Horde_Auth/Horde/Auth/Unit/Sql/Locks.php
%{peardir}/tests/Horde_Auth/Horde/Auth/Unit/Sql/Pdo/SqliteLockTest.php
%{peardir}/tests/Horde_Auth/Horde/Auth/Unit/Sql/Pdo/SqliteTest.php
%{xmldir}/Horde_Auth.xml







%changelog

* Fri Feb 10 2012 spuhler <spuhler> 1.4.8-1.mga2
+ Revision: 206787
- upgrade to 1.4.8

* Sat Dec 17 2011 spuhler <spuhler> 1.4.7-1.mga2
+ Revision: 183309
- added the additional files
- upgrade to 1.4.7

* Mon Nov 28 2011 spuhler <spuhler> 1.4.5-1.mga2
+ Revision: 173215
- added %%{peardir}/data/Horde_Auth/locale/et/LC_MESSAGES/Horde_Auth.mo
  added %%{peardir}/data/Horde_Auth/locale/et/LC_MESSAGES/Horde_Auth.po
- upgrade to 1.4.5
  changed -License: from GPLv2 to LGPL-2.1

* Mon Nov 14 2011 spuhler <spuhler> 1.4.4-1.mga2
+ Revision: 167479
- upgrade to 1.4.4

* Sun Nov 06 2011 spuhler <spuhler> 1.4.3-1.mga2
+ Revision: 163956
- upgrade to 1.4.3
- changed Provides: php-pear-Horde_Auth to Provides: php-pear-Horde_Auth = %%{version}
- imported package php-pear-Horde_Auth

